Skip to content
Permalink
Browse files

Merge pull request #385 from leitmedium/master

ensure Java8 update number is being handled as a number
  • Loading branch information...
sheenaajay committed Sep 12, 2019
2 parents b670aca + 27fed78 commit 71b6a4779821e7bc543d9bf9fc480cf6d7734a0e
Showing with 1 addition and 1 deletion.
  1. +1 −1 manifests/download.pp
@@ -98,7 +98,7 @@
# Required for CentOS systems where Java8 update number is >= 171 to ensure
# the package is visible to Puppet. This is only true for installations that
# don't use the tar.gz package type.
if $facts['os']['family'] == 'RedHat' and $2 >= '171' and $package_type != 'tar.gz' {
if $facts['os']['family'] == 'RedHat' and Numeric($2) >= 171 and $package_type != 'tar.gz' {
$install_path = "${java_se}1.${1}.0_${2}-amd64"
} else {
$install_path = "${java_se}1.${1}.0_${2}"

0 comments on commit 71b6a47

Please sign in to comment.
You can’t perform that action at this time.